# Uses of Class
javafx.scene.layout.CornerRadii

Packages that use CornerRadii
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of CornerRadii in javafx.scene.layout

Fields in javafx.scene.layout declared as CornerRadii
Modifier and Type
Field
Description
`static final CornerRadii`
CornerRadii.`EMPTY`
A CornerRadii which is entirely empty, indicating squared corners.
Methods in javafx.scene.layout that return CornerRadii
Modifier and Type
Method
Description
`final CornerRadii`
BackgroundFill.`getRadii()`
The Radii to use for representing the four radii of the BackgroundFill.
`final CornerRadii`
BorderStroke.`getRadii()`
Defines the radii for each corner of this `BorderStroke`.
Constructors in javafx.scene.layout with parameters of type CornerRadii
Modifier
Constructor
Description
``
`BackgroundFill(Paint fill, CornerRadii radii, Insets insets)`
Creates a new BackgroundFill with the specified fill, radii, and insets.
``
`BorderStroke(Paint stroke, BorderStrokeStyle style, CornerRadii radii, BorderWidths widths)`
Creates a new `BorderStroke`.
``
`BorderStroke(Paint stroke, BorderStrokeStyle style, CornerRadii radii, BorderWidths widths, Insets insets)`
Creates a new `BorderStroke`.
``
`BorderStroke(Paint topStroke, Paint rightStroke, Paint bottomStroke, Paint leftStroke, BorderStrokeStyle topStyle, BorderStrokeStyle rightStyle, BorderStrokeStyle bottomStyle, BorderStrokeStyle leftStyle, CornerRadii radii, BorderWidths widths, Insets insets)`
Creates a new `BorderStroke`, specifying all construction parameters.